Get evidences blockchain statistics
curl --request POST \
--url https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/blockinfo \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"dts": [
"<string>"
],
"updates": [
{
"dtId": "<string>",
"version": 123
}
]
}
'import requests
url = "https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/blockinfo"
payload = {
"dts": ["<string>"],
"updates": [
{
"dtId": "<string>",
"version": 123
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({dts: ['<string>'], updates: [{dtId: '<string>', version: 123}]})
};
fetch('https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/blockinfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dts": [
{
"id": "<string>",
"externalId": "<string>",
"name": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"owner": {},
"historyChanges": {},
"categoryId": "<string>",
"subcategoryId": "<string>",
"txId": "<string>",
"summary": "<string>",
"lastUpdateDate": "2023-11-07T05:31:56Z",
"lastUpdateTxId": "<string>",
"iconId": {},
"stolen": true,
"blockNumber": 123,
"lastUpdateBlockNumber": 123
}
],
"count": 123
}Evidences
Blockchain Statistics
POST
/
evidences
/
{COMPANY_ID}
/
blockinfo
Get evidences blockchain statistics
Get blockchain statistics and confirmation status for a list of evidences. Useful for checking which evidence records have been confirmed on the blockchain.
Authorizations
Path Parameters
Company identifier
Body
application/json
⌘I